org.eclipse.jgit.api

## Class StashListCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<Collection<RevCommit>>
  - - org.eclipse.jgit.api.StashListCommand

All Implemented Interfaces:
  Callable<Collection<RevCommit>>

    public class StashListCommand
    extends GitCommand<Collection<RevCommit>>

Command class to list the stashed commits in a repository.

See Also:
  Git documentation about Stash

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
Constructor and Description
`StashListCommand(Repository repo)` Create a new stash list command

### Method Summary

Methods
`Collection<RevCommit>` `call()` Executes the command

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StashListCommand

    public StashListCommand(Repository repo)

Create a new stash list command

Parameters:
  `repo` -

### Method Detail

#### call

    public Collection<RevCommit> call()
                               throws GitAPIException,
                                      InvalidRefNameException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<Collection<RevCommit>>`
Specified by:
  `call` in class `GitCommand<Collection<RevCommit>>`
Returns:
  T a result. Each command has its own return type
Throws:
  `GitAPIException` - or subclass thereof when an error occurs
  `InvalidRefNameException`